Bug 195435 - Wrong selected document when resuming session with splitted view
Summary: Wrong selected document when resuming session with splitted view
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-06 12:10 UTC by Alvaro Aguilera
Modified: 2011-08-13 18:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro Aguilera 2009-06-06 12:10:58 UTC
Version:           3.2.88 (using 4.2.88 (KDE 4.2.88 (KDE 4.3 >= 20090527)) "release 135", KDE:KDE4:Factory:Desktop / openSUSE_11.1)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.27.21-0.1-default

1. Open several files (file1 to fileN)
2. Split the window, showing file1 on the left and file2 on the right
3. close kate and open it again

Problem: the focus is on the file1-frame on the left, but in the Documents-list is file2 selected.
Comment 1 Christian Ehrlicher 2009-08-28 19:30:23 UTC
SVN commit 1016726 by chehrlic:

fix for bug 195435 - make sure the correct view is selected after opening a session with more than one view
please test - should maybe be backported to 4.3.2 when it's fine

CCBUG: 195435

 M  +3 -0      kateviewmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1016726
Comment 2 Christian Ehrlicher 2009-10-03 13:26:58 UTC
no comment since more than one month so I assume it's really fixed :)
Comment 3 Dominik Haumann 2011-08-13 18:09:30 UTC
Git commit b9f62f8c87dd96c5a0f70f47b116e24cd68ca796 by Dominik Haumann.
Committed on 13/08/2011 at 20:07.
Pushed by dhaumann into branch 'master'.

fix ambiguous shortcuts after session restore

CCBUG: 195435
BUG: 188764

M  +3    -3    kate/app/kateviewmanager.cpp

http://commits.kde.org/kate/b9f62f8c87dd96c5a0f70f47b116e24cd68ca796
Comment 4 Dominik Haumann 2011-08-13 18:21:12 UTC
Git commit 2c4091150cc8b5f45c042bedc329227f20e5815f by Dominik Haumann.
Committed on 13/08/2011 at 20:07.
Pushed by dhaumann into branch 'KDE/4.7'.

fix ambiguous shortcuts after session restore

CCBUG: 195435
BUG: 188764

M  +3    -3    kate/app/kateviewmanager.cpp

http://commits.kde.org/kate/2c4091150cc8b5f45c042bedc329227f20e5815f